#!/bin/bash
# +=======================================================================+
# || cipux_setup_ldap                                                    ||
# ||                                                                     ||
# || This script executes scripts of the cipux_setup_ldap_* family to    ||
# || setup the CipUX framework.                                          ||
# ||                                                                     ||
# ||                                                                     ||
# || (c) 2005 by Christian Kuelker                                       ||
# ||                                                                     ||
# || License: GPLv2 (GPL version 2 or later)                             ||
# ||                                                                     ||
# +=======================================================================+

# this might become its own scripte some day
# on some architectures the package-management can't be trusted.
chmod 750 /var/log/cipux
chown root:root /var/log/cipux
chmod 750 /etc/cipux
chown root:root /etc/cipux

# moves mighty ou=Machines
/usr/bin/cipux_setup_ldap_machines

# adds ou=CipUX
/usr/bin/cipux_setup_ldap_configuration

# add some roles and admins
/usr/bin/cipux_setup_ldap_objects

